//page
export class pages {
	constructor(that) {
		this.page = that
	}
	取当前页指针(){
		return this.page
	}
	取组件变量() {
		return this.page.data
	}
	置组件变量(data, callback) {
		this.page.setData(data, callback)
	}
	取全局子程序() {
		return getApp()
	}
	eventtoObj(Event) {
		var i = {
			类型: Event.type,
			时间戳: Event.timeStamp,
			事件源组件: {
				id: Event.target.id,
				自定义: Event.target.dataset
			},
			绑定组件: {
				id: Event.currentTarget.id,
				自定义: Event.currentTarget.dataset
			},
			消息: Event.detail,
			停留点: Event.touches,
			移动点: Event.changedTouches
		}
		return i
	}
	sharetoObj(Event){
		var i = {
			转发来源: Event.from,
			转发按钮对象: Event.target,
			网页容器地址: Event.webViewUrl
		}
		return i
	}
	sharetoreturn(Event){
		var i = {
			title: Event.标题,
			path: Event.路径,
			imageUrl: Event.图片地址
		}
		return i
	}
	TabtoObj(item){
		var i = {
			索引: item.index,
			页面路径: item.pagePath,
			标题: item.text
		}
		return i
	}
	scrolltoObj(item){
		var i = {
			位置: item.scrollTop
		}
		return i
	}
	LaunchtoObj(item){
		var i = {
			路径: item.path,
			场景值: item.scene,
			参数: item.query,
			转发信息: item.shareTicket,
			来源信息: {
				appId: item.referrerInfo.appId,
				数据: item.referrerInfo.extraData
			}
		}
		return i
	}
	NotFoundtoObj(item){
		var i = {
			路径: item.path,
			参数: item.query,
			是否首个页面: item.isEntryPage
		}
		return i
	}
}
//调试
export class 调试 {
	static 输出(...i) {
		console.log(...i);
	}
	static 输出debug(...i) {
		console.debug(...i);
	}
	static 输出错误(...i) {
		console.error(...i);
	}
	static 创建分组(标记) {
		console.group(标记);
	}
	static 结束分组() {
		console.groupEnd();
	}
	static 输出信息(...i) {
		console.info(...i);
	}
	static 输出警告(...i) {
		console.warn(...i);
	}
}
//参数
export class 参数 {
	static 是否为空(c) {
		return c == undefined || c == null? true: false
	}
}